>From 629e6db9dcf09987c56ab9ec1c70030a3719bee8 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Tue, 16 Aug 2011 14:24:25 +0300
Subject: [carFl mem 10/21] Introduce globals structure

Every object file will have a pointer to the main globals structure.
Static globals are allowed in romstage.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 flash.h    |    6 ++++++
 flashrom.c |    7 +++++++
 2 files changed, 13 insertions(+), 0 deletions(-)

diff --git a/flash.h b/flash.h
index 7c044bf..14ca85a 100644
--- a/flash.h
+++ b/flash.h
@@ -39,6 +39,7 @@
 #define TIMEOUT_ERROR	-101
 
 typedef unsigned long chipaddr;
+typedef struct globals globals;
 
 int register_shutdown(int (*function) (void *data), void *data);
 void *programmer_map_flash_region(const char *descr, unsigned long phys_addr,
@@ -278,4 +279,9 @@ int spi_send_command(unsigned int writecnt, unsigned int readcnt,
 int spi_send_multicommand(struct spi_command *cmds);
 uint32_t spi_get_valid_read_addr(void);
 
+struct globals {
+
+};
+globals *get_globals(void);
+
 #endif				/* !__FLASH_H__ */
diff --git a/flashrom.c b/flashrom.c
index 18f3021..f171182 100644
--- a/flashrom.c
+++ b/flashrom.c
@@ -42,6 +42,13 @@ const char flashrom_version[] = "carFl";
 char *chip_to_probe = NULL;
 int verbose = 0;
 
+static globals g;
+
+globals *get_globals(void)
+{
+	return &g;
+}
+
 #if CONFIG_INTERNAL == 1
 enum programmer programmer = PROGRAMMER_INTERNAL;
 #elif CONFIG_DUMMY == 1
-- 
1.7.6

